# character.c File Reference

## Defines

#define | MCHAR_MAX
| Maximum character code.

## Functions

MSymbol | mchar_define_property (const char *name, MSymbol type)
| Define a character property.
void * | mchar_get_prop (int c, MSymbol key)
| Get the value of a character property.
int | mchar_put_prop (int c, MSymbol key, void *val)
| Set the value of a character property.
MCharTable * | mchar_get_prop_table (MSymbol key, MSymbol *type)
| Get the char-table for a character property.

## Variables

Variables: Keys of character properties
These symbols are used as keys of character properties.
MSymbol | Mscript
| Key for script.
MSymbol | Mname
| Key for character name.
MSymbol | Mcategory
| Key for general category.
MSymbol | Mcombining_class
| Key for canonical combining class.
MSymbol | Mbidi_category
| Key for bidi category.
MSymbol | Msimple_case_folding
| Key for corresponding single lowercase character.
MSymbol | Mcomplicated_case_folding
| Key for corresponding multiple lowercase characters.
MSymbol | Mcased
| Key for values used in case operation.
MSymbol | Msoft_dotted
| Key for values used in case operation.
MSymbol | Mcase_mapping
| Key for values used in case operation.
MSymbol | Mblock
| Key for script block name.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines